Show / Hide Table of Contents

# Class GameVersionTests

##### Inheritance

System.Object
GameVersionTests

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Test.Game

###### Assembly: Dalamud.Test.dll

##### Syntax

    public class GameVersionTests

### Methods

| Improve this Doc View Source

#### VersionComparison(String, String)

##### Declaration

    [Theory]
    [InlineData(new object[]{"2020.06.15.0000.0000", "any"})]
    [InlineData(new object[]{"2021.01.01.0000.0000", "2021.01.01.0000.0001"})]
    [InlineData(new object[]{"2021.01.01.0000.0000", "2021.01.01.0001.0000"})]
    [InlineData(new object[]{"2021.01.01.0000.0000", "2021.01.02.0000.0000"})]
    [InlineData(new object[]{"2021.01.01.0000.0000", "2021.02.01.0000.0000"})]
    [InlineData(new object[]{"2021.01.01.0000.0000", "2022.01.01.0000.0000"})]
    public void VersionComparison(string ver1, string ver2)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | ver1 |
System.String | ver2 |

| Improve this Doc View Source

#### VersionConstructor(String)

##### Declaration

    [Theory]
    [InlineData(new object[]{"2020.06.15.0000.0000"})]
    [InlineData(new object[]{"2021.01.01.0000"})]
    [InlineData(new object[]{"2021.01.01"})]
    [InlineData(new object[]{"2021.01"})]
    [InlineData(new object[]{"2021"})]
    public void VersionConstructor(string ver)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | ver |

| Improve this Doc View Source

#### VersionConstructorInvalid(String)

##### Declaration

    [Theory]
    [InlineData(new object[]{"2020.06.15.0000.0000.0000"})]
    [InlineData(new object[]{""})]
    public void VersionConstructorInvalid(string ver)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | ver |

| Improve this Doc View Source

#### VersionEquality(String, String)

##### Declaration

    [Theory]
    [InlineData(new object[]{"any", "any"})]
    [InlineData(new object[]{"2021.01.01.0000.0000", "2021.01.01.0000.0000"})]
    public void VersionEquality(string ver1, string ver2)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | ver1 |
System.String | ver2 |